*NOTE*: This script only works with PCI hardware on i386, ppc, sparc, etc.
If you have an ISA/VLB-type video card. Consider using SuperProbe instead.

This is a simple script that will try to determine the type of PCI video
hardware you have, and suggest the correct XFree86 server to use. Because
it only reads /proc/bus/pci, it can run in user mode and will not hang
your machine.

Usage:
  xviddetect [--arch <architecture>] [--quiet] [--help]
  xviddetect [-a <architecture>] [-q] [-h]
    -h, --help  : shows this help message
    -q, --quiet : only prints the final result
    -a, --arch  : forces a particular architecture

The script will try to read your PCI information through /proc/bus/pci, and
use that information to determine the type of hardware you have. It matches
the PCI id of the hardware it finds to a list of know video devices, and
tells you which driver is the most appropriate.

If the script is unable to determine a suitable driver, it will print out some
information about what it did find. If you are later able to get XFree86 up
and running with such a video card, please email me at tausq@debian.org so
that I can update the video database.

If you find that the suggested driver does not work with your video card,
please also let me know.

Enjoy!

Randolph Chung <tausq@debian.org>
Aug 21, 1999
